- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PathPairs Class Reference

the PathPairs class. More...

`#include <OSOption.h>`

Collaboration diagram for PathPairs:

[legend]
List of all members.

## Public Member Functions
| PathPairs ()
| Default constructor.
| ~PathPairs ()
| Class destructor.
bool | IsEqual (PathPairs *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setPathPair (int numberOfPathPairs, PathPair **pathPair)
| A function to set an array of <pathPair> elements.
bool | setPathPair (std::string *from, std::string *to, bool *makeCopy, int numberOfPathPairs)
| Alternate signature for this function.
bool | addPathPair (std::string fromPath, std::string toPath, bool makeCopy)
| A function to add a <pathPair> element.
## Public Attributes
int | numberOfPathPairs
| the number of <path> children
PathPair ** | pathPair
| the list of directory and file paths

## Detailed Description

the PathPairs class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 824 of file OSOption.h.

## Constructor & Destructor Documentation

PathPairs::PathPairs | ( |  | ) |

Default constructor.

Definition at line 326 of file OSOption.cpp.

References pathPair.

PathPairs::~PathPairs | ( |  | ) |

Class destructor.

Definition at line 335 of file OSOption.cpp.

References numberOfPathPairs, and pathPair.

## Member Function Documentation

bool PathPairs::IsEqual | ( | PathPairs * | that | ) |

A function to check for the equality of two objects.

Definition at line 8772 of file OSOption.cpp.

References numberOfPathPairs, and pathPair.

bool PathPairs::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10570 of file OSOption.cpp.

References numberOfPathPairs, OSRand(), pathPair, and PathPair::setRandom().

Referenced by JobOption::setRandom().

bool PathPairs::setPathPair | ( | int | numberOfPathPairs,
|  | PathPair ** | pathPair |
| ) |  |  |

A function to set an array of <pathPair> elements.

Parameters:

  | numberOfPathPairs,: | number of <pathPair> elements to be set
  | path,: | the array of <pathPair> elements that are to be set

Definition at line 4316 of file OSOption.cpp.

References ErrorClass::errormsg, and pathPair.

Referenced by OSOption::setInputDirectoriesToMove(), OSOption::setInputFilesToMove(), OSOption::setOutputDirectoriesToMove(), OSOption::setOutputFilesToMove(), and OSOption::setPathPairs().

bool PathPairs::setPathPair | ( | std::string * | from,
|  | std::string * | to,
|  | bool * | makeCopy,
|  | int | numberOfPathPairs |
| ) |  |  |

Alternate signature for this function.

Parameters:

  | from,: | array containing a list of objects to be moved
  | to,: | array containing a list of destinations
  | makeCopy,: | records whether each object is to be moved or copied
  | numberOfPathPairs,: | number of <pathPair> elements to be set

Definition at line 4344 of file OSOption.cpp.

References PathPair::from, PathPair::makeCopy, pathPair, and PathPair::to.

bool PathPairs::addPathPair | ( | std::string | fromPath,
|  | std::string | toPath,
|  | bool | makeCopy |
| ) |  |  |

A function to add a <pathPair> element.

Parameters:

  | fromPath,: | the path from which to copy or move
  | toPath,: | the path to which to copy or move
  | makecopy,: | tracks whether a copy is to be made

Definition at line 4373 of file OSOption.cpp.

References ErrorClass::errormsg, PathPair::from, PathPair::makeCopy, numberOfPathPairs, pathPair, and PathPair::to.

Referenced by OSOption::setAnotherInputDirectoryToMove(), OSOption::setAnotherInputFileToMove(), OSOption::setAnotherOutputDirectoryToMove(), and OSOption::setAnotherOutputFileToMove().

## Member Data Documentation

int PathPairs::numberOfPathPairs

the number of <path> children

Definition at line 828 of file OSOption.h.

Referenced by addPathPair(), OSOption::getNumberOfInputDirectoriesToMove(), OSOption::getNumberOfInputFilesToMove(), OSOption::getNumberOfOutputDirectoriesToMove(), OSOption::getNumberOfOutputFilesToMove(), IsEqual(), setRandom(), and ~PathPairs().

PathPair** PathPairs::pathPair

the list of directory and file paths

Definition at line 831 of file OSOption.h.

Referenced by addPathPair(), OSOption::getInputDirectoriesToMove(), OSOption::getInputFilesToMove(), OSOption::getOutputDirectoriesToMove(), OSOption::getOutputFilesToMove(), IsEqual(), PathPairs(), OSOption::setInputDirectoriesToMove(), OSOption::setInputFilesToMove(), OSOption::setOutputDirectoriesToMove(), OSOption::setOutputFilesToMove(), setPathPair(), setRandom(), and ~PathPairs().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp